# Function getGuardianSet

- getGuardianSet(connection, wormholeProgramId, index, commitment?): Promise<GuardianSetData>

- #### Parameters

  - ##### connection: Connection

  - ##### wormholeProgramId: PublicKeyInitData

  - ##### index: number

  - ##### `Optional` commitment: Commitment

  #### Returns Promise<GuardianSetData>

  - Defined in utils/accounts/guardianSet.ts:27

Generated using TypeDoc